$(document).ready(function() {   
	$('a[class=popup]').click(function(e) {
		e.preventDefault();
		var id = $(this).attr('href');
		var idWidth = $(id).width();
		var maskHeight = $(document).height();
		var maskWidth = $(document).width();
		$('#mask').css({'height':'100%'});
		$('#mask').css({'width':'100%'});
		$('#mask').fadeIn(1000); 
		$('#mask').fadeTo("slow",0.8); 
		var winH = $(window).height();
		var winW = $(window).width();
		var TopId = $(document).scrollTop() + winH/2-$(id).height()/2;
		$(id).css({"top":TopId+"px","display":"block","left":"50%","margin-left":-idWidth/2});
		$(id).fadeIn(2000);
		return false;
	});
	$('.window_box .close').click(function (e) {
		e.preventDefault();
		$('#mask, .window_box').hide();
	}); 
	$('#mask').click(function () {
		$(this).hide();
		$('.window_box').hide();
	}); 
});
$(document).ready(function() {
	function scroll_active() {
		var window_top = $(window).scrollTop();
		var lvl2 = $('#about').offset().top -8;
		var lvl3 = $('#reviews').offset().top -8;
		var lvl4 = $('#how_work').offset().top -8;
		var lvl5 = $('#order').offset().top -8;
		if (window_top > lvl5) {
			$("nav li").removeClass("active");
			$('a[href="#order"]').parent().addClass("active");
		}
		else if (window_top > lvl4) {
			$("nav li").removeClass("active");
			$('a[href="#how_work"]').parent().addClass("active");
		}
		else if (window_top > lvl3) {
			$("nav li").removeClass("active");
			$('a[href="#reviews"]').parent().addClass("active");
		}
		else if (window_top > lvl2) {
			$("nav li").removeClass("active");
			$('a[href="#about"]').parent().addClass("active");
		}
		else {
			$("nav li").removeClass("active");
		}
	}
	jQuery(function(){
		jQuery(window).scroll(scroll_active);
	});
});
$(document).ready(function(){
	$('.wrapper a[href^="#"], .wrapper a[href^="."]').click( function(){
		var scroll_el = $(this).attr('href');
		if ($(scroll_el).length != 0) {
			$('html, body').animate({ scrollTop: $(scroll_el).offset().top }, 1500);
		}
		return false;
	});
});

$(document).ready(function(){
    GetCount();
});
var year = 2222;
var month = 4;
var day = 4;
var hour = 0;
var min = 0;
var sec = 0;
dateFuture = new Date(year, month-1, day, hour, min, sec);
function GetCount() {
	dateNow = new Date();
	amount = dateFuture.getTime() - dateNow.getTime() + 5;
	delete dateNow;
	if (amount < 0) {
		out = "<div class='days'>0</div>" + "<div class='hours'>0</div>" + "<div class='mins'>0</div>" + "<div class='secs'>0</div>";
		document.getElementById('timer').innerHTML = out;
	} 
	else {
		days = 0;
		hours = 0;
		mins = 0;
		secs = 0;
		out = "";
		amount = Math.floor(amount / 1000);
		days = Math.floor(amount / 86400);
		amount = amount % 86400;
		hours = Math.floor(amount / 3600);
		amount = amount % 3600;
		mins = Math.floor(amount / 60);
		amount = amount % 60;
		secs = Math.floor(amount);
		out = "<div class='days'>" + days + "</div>" + "<div class='hours'>" + hours + "</div>" + "<div class='mins'>" + mins + "</div>" + "<div class='secs'>" + secs + "</div>";
		if(days < 10) days = '0'+hours;
		if(hours < 10) hours = '0'+hours;
		if(mins < 10) mins = '0'+mins;
		if(secs < 10) secs = '0'+secs;
		out = "<span class='hours'>" + hours + "</span>" + "<b class='dots'>:</b>" + "<span class='mins'>" + mins + "</span>" + "<b class='dots'>:</b>"  + "<span class='secs'>" + secs + "</span>";
		document.getElementById('timer').innerHTML = out;
		setTimeout("GetCount()", 1000);
	}
};
$().ready(function() {
	$("form").each(function(){
		$(this).validate();
	});
	$("input[name=tel]").mask("+79999999999");
	$("body").on("submit", "form.order_form", function(e) {
		if (!$(this).find('[name=terms]').is(':checked')) {
			alert('Необходимо согласиться с условиями');
			return false;
		}
	});
});